function animateBrand() {
   const line = document.querySelector(".brand-line svg");

   if (!line) {
      return;
   }

   const observer = new IntersectionObserver(
      (entries) => {
         entries.forEach((entry) => {
            if (entry.isIntersecting) {
               line.classList.add("animate");
            }
         });
      },
      {
         threshold: 0.8,
      }
   );

   observer.observe(line);
}

export { animateBrand };
